<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Class: InterstitialVideo</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <div class="symbol-detail-labels"><span class="label label-kind">class</span></div>
            <h1><small></small><span class="symbol-name">InterstitialVideo</span></h1>
            <p class="source-link">Source: <a href="ads_interstitial_Interstitial.Video.js.html#source-line-7">ads/<wbr>interstitial/<wbr>Interstitial.<wbr>Video.<wbr>js:7</a></p>
            <dl class="dl-compact">
            </dl>
          </header>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Property</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="InterstitialVideo.html#displayOnOrientation">displayOnOrientation</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Method</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="InterstitialVideo.html#body">body()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                </div>
                <div class="summary-column">
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2 id="InterstitialVideo">new&nbsp;<span class="symbol-name">InterstitialVideo</span><span class="signature"><span class="signature-params">()</span></span></h2>
            <p>video wyświetlane w połowie obszaru reklamy
              dla portrait na max 100% szerokości, wysokość auto
              dla landscape na max 100% wysokości, szerokośc auto
              pozostały obszar wypełnia klikalna grafika tła
              po zakończeniu filmu w jego miejsce wyświetlana dodatkowa, klikalna grafika</p>
            <section>
              <h3>
                Example
              </h3>
              <div>
                <pre class="prettyprint"><code>&lt;InterstitialVideo
  url&#x3D;&quot;http://example.com&quot;
  poster&#x3D;&quot;http://placekitten.com/300/250&quot;
  mp4&#x3D;&quot;https://sample-videos.com/video123/mp4/240/big_buck_bunny_240p_10mb.mp4&quot;
  webm&#x3D;&quot;https://sample-videos.com/video123/webm/240/big_buck_bunny_240p_10mb.webm&quot;
  ogv&#x3D;&quot;https://sample-videos.com/video123/ogv/240/big_buck_bunny_240p_10mb.ogv&quot;
  autoplay
  vast&#x3D;[
  {
    &#x27;firstQuartile&#x27;: &#x27;http://example.com/firstQuartile.gif&#x27;,
    &#x27;midpoint&#x27;: &#x27;http://example.com/midpoint.gif&#x27;,
    &#x27;thirdQuartile&#x27;: &#x27;http://example.com/thirdQuartile.gif&#x27;
  },
  {
    &#x27;firstQuartile&#x27;: &#x27;http://another.example.com/firstQuartile.gif&#x27;,
    &#x27;midpoint&#x27;: &#x27;http://another.example.com/midpoint.gif&#x27;,
    &#x27;thirdQuartile&#x27;: &#x27;http://another.example.com/thirdQuartile.gif&#x27;
  }
  ]
  onReady&#x3D;function(){}
/&gt;</code></pre>
              </div>
            </section>
            <section>
              <h3>Properties</h3>
              <table class="jsdoc-details-table">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Optional</th>
                    <th>Description</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                      <p>props</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw właściwości komponentu</p>
                      <p>Values in <code>props</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>poster</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres grafiki wyświetlanej w miejscu video po jego zakończeniu odtwarzania</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>portrait</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>adres grafiki wyświetlanej w widoku portrait</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>landscape</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>adres grafiki wyświetlanej w widoku landscape</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>url</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>adres, na jaki ma przekierowywać reklama</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>autoplay</p>
                            </td>
                            <td>
                              <p>boolean</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>czy video ma zostać autoodtworzone pojawieniu się reklamy</p>
                              <p>Defaults to <code>true</code>.</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>vast</p>
                            </td>
                            <td>
                              <p>(array or Array of object)</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>zestaw(y) kodów mierzących zdarzenia video według specyfikacji vast</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>onReady</p>
                            </td>
                            <td>
                              <p>function()</p>
                            </td>
                            <td>
                              <p>Yes</p>
                            </td>
                            <td>
                              <p>callback wywoływany, gdy komponent zamontował się poprawnie i wszystkie zasoby zostały załadowane</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <p>state</p>
                    </td>
                    <td>
                      <p>object</p>
                    </td>
                    <td>
                      <p>&nbsp;</p>
                    </td>
                    <td>
                      <p>zestaw stanów komponentu</p>
                      <p>Values in <code>state</code> have the following properties:</p>
                      <table class="jsdoc-details-table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Optional</th>
                            <th>Description</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>
                              <p>lifecycle</p>
                            </td>
                            <td>
                              <p>string</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>string reprezentujący bieżący cykl życia komponentu (initialized, ready)</p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <p>preloading</p>
                            </td>
                            <td>
                              <p>number</p>
                            </td>
                            <td>
                              <p>&nbsp;</p>
                            </td>
                            <td>
                              <p>liczba zasobów aktualnie preloadowanych przez komponent</p>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                </tbody>
              </table>
            </section>
            <dl class="dl-compact">
              <dt>Extends</dt>
              <dd><a href="Interstitial.html">Interstitial</a></dd>
            </dl>
          </section>
          <section>
            <h2>Property</h2>
            <section>
              <h3 id="displayOnOrientation"><span class="symbol-name">displayOnOrientation</span><small class="property-type">
                  &nbsp;unknown</small></h3>
              <p>na jakiej orientacji ekranu ma byc być wyświetlana treść reklamowa</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Interstitial.html#displayOnOrientation">Interstitial#displayOnOrientation</a></dd>
              </dl>
            </section>
            <h2>Method</h2>
            <section>
              <h3 id="body"><span class="symbol-name">body</span><span class="signature"><span class="signature-params">()</span>&nbsp;&rarr; <span class="signature-returns"> jsx</span></span></h3>
              <p>treść reklamy, wyświetlana pod belką</p>
              <dl class="dl-compact">
                <dt>Inherited from</dt>
                <dd><a href="Interstitial.html#body">Interstitial#body</a></dd>
                <dt>Returns</dt>
                <dd></dd>
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>